VTK: vtkWorldPointPicker Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkWorldPointPicker Class Reference

find world x,y,z corresponding to display x,y,z More...

`#include <vtkWorldPointPicker.h>`

Inheritance diagram for vtkWorldPointPicker:
[legend]
Collaboration diagram for vtkWorldPointPicker:
[legend]

## Public Types
typedef vtkAbstractPicker | Superclass
Public Types inherited from vtkAbstractPicker
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkWorldPointPicker * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer) override
| Perform the pick. More...
int | Pick (double selectionPt[3], vtkRenderer *renderer)
| Perform the pick. More...
Public Member Functions inherited from vtkAbstractPicker
vtkAbstractPicker * | NewInstance () const
int | Pick (double selectionPt[3], vtkRenderer *ren)
| provided. More...
virtual int | Pick3DPoint (double[3], vtkRenderer *)
| Perform pick operation with selection point provided. More...
virtual int | Pick3DRay (double[3], double[4], vtkRenderer *)
| Perform pick operation with selection point and orientation provided. More...
void | InitializePickList ()
| Initialize list of actors in pick list. More...
void | AddPickList (vtkProp *)
| Add an actor to the pick list. More...
void | DeletePickList (vtkProp *)
| Delete an actor from the pick list. More...
vtkPropCollection * | GetPickList ()
| Return the list of actors in the PickList. More...
virtual vtkRenderer * | GetRenderer ()
| Get the renderer in which pick event occurred. More...
virtual double * | GetSelectionPoint ()
| Get the selection point in screen (pixel) coordinates. More...
virtual void | GetSelectionPoint (double data[3])
| Get the selection point in screen (pixel) coordinates. More...
virtual double * | GetPickPosition ()
| Return position in global coordinates of pick point. More...
virtual void | GetPickPosition (double data[3])
| Return position in global coordinates of pick point. More...
virtual void | SetPickFromList (vtkTypeBool)
| Use these methods to control whether to limit the picking to this list (rather than renderer's actors). More...
virtual vtkTypeBool | GetPickFromList ()
| Use these methods to control whether to limit the picking to this list (rather than renderer's actors). More...
virtual void | PickFromListOn ()
| Use these methods to control whether to limit the picking to this list (rather than renderer's actors). More...
virtual void | PickFromListOff ()
| Use these methods to control whether to limit the picking to this list (rather than renderer's actors). More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkWorldPointPicker * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkWorldPointPicker * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractPicker
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractPicker * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkWorldPointPicker ()
| ~vtkWorldPointPicker () override=default
Protected Member Functions inherited from vtkAbstractPicker
| vtkAbstractPicker ()
| ~vtkAbstractPicker () override
virtual void | Initialize ()
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkAbstractPicker
vtkRenderer * | Renderer
double | SelectionPoint [3]
double | PickPosition [3]
vtkTypeBool | PickFromList
vtkPropCollection * | PickList
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

find world x,y,z corresponding to display x,y,z

vtkWorldPointPicker is used to find the x,y,z world coordinate of a screen x,y,z. This picker cannot pick actors and/or mappers, it simply determines an x-y-z coordinate in world space. (It will always return a x-y-z, even if the selection point is not over a prop/actor.)

Warning
  The PickMethod() is not invoked, but StartPickMethod() and EndPickMethod() are.

See also
  vtkPropPicker vtkPicker vtkCellPicker vtkPointPicker

Events:
  vtkCommand::EndPickEvent vtkCommand::StartPickEvent

Online Examples:

Tests:
  vtkWorldPointPicker (Tests)

Definition at line 42 of file vtkWorldPointPicker.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkAbstractPicker vtkWorldPointPicker::Superclass

Definition at line 46 of file vtkWorldPointPicker.h.

## Constructor & Destructor Documentation

## ◆ vtkWorldPointPicker()

vtkWorldPointPicker::vtkWorldPointPicker | ( |  | ) |
| protected

## ◆ ~vtkWorldPointPicker()

vtkWorldPointPicker::~vtkWorldPointPicker | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ New()

static vtkWorldPointPicker* vtkWorldPointPicker::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkWorldPointPicker::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkWorldPointPicker::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkAbstractPicker.

## ◆ SafeDownCast()

static vtkWorldPointPicker* vtkWorldPointPicker::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkWorldPointPicker::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkAbstractPicker.

## ◆ NewInstance()

vtkWorldPointPicker* vtkWorldPointPicker::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkWorldPointPicker::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkAbstractPicker.

## ◆ Pick() [1/2]

int vtkWorldPointPicker::Pick | ( | double | selectionX,
|  | double | selectionY,
|  | double | selectionZ,
|  | vtkRenderer * | renderer
| ) |  |
| overridevirtual

Perform the pick.

(This method overload's the superclass.)

Implements vtkAbstractPicker.

## ◆ Pick() [2/2]

int vtkWorldPointPicker::Pick | ( | double | selectionPt[3],
|  | vtkRenderer * | renderer
| ) |  |
| inline

Perform the pick.

(This method overload's the superclass.)

Definition at line 54 of file vtkWorldPointPicker.h.

The documentation for this class was generated from the following file:

- Rendering/Core/vtkWorldPointPicker.h